### Method

# Pos Completer get_base_layout

#### Declaration [src]

    const char*
    pos_completer_get_base_layout (
      PosCompleter* self
    )

#### Description [src]

The base keyboard layout to use. E.g. for some Asian languages the keyboard needs special input keys. The completer can provide the layout’s name this way.

#### Return value

Type: `const char*`

No description available.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.